# pandas.read_pickle

`pandas.``read_pickle`(path, compression='infer')

  Load pickled pandas object (or any other pickled object) from the specified file path

  Warning: Loading pickled data received from untrusted sources can be unsafe. See: http://docs.python.org/2.7/library/pickle.html

  Parameters:

  path : string

  > File path

  compression : {‘infer’, ‘gzip’, ‘bz2’, ‘xz’, ‘zip’, None}, default ‘infer’

  > For on-the-fly decompression of on-disk data. If ‘infer’, then use gzip, bz2, xz or zip if path ends in ‘.gz’, ‘.bz2’, ‘.xz’, or ‘.zip’ respectively, and no decompression otherwise. Set to None for no decompression.

  > New in version 0.20.0.

  Returns: | unpickled : type of object stored in file

Scroll To Top